import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhClauseMatch {
    render() {
        return (h("div", { class: "container clause_match" },
            h("div", { class: "row clause_match_block" },
                h("div", { class: "col-lg-7 mt-5" },
                    h("div", { class: "clause_match_right_block d-block d-lg-none", style: { backgroundImage: "url(" + this.clauseMatch.clauseMatchImg + ")" }, onClick: () => this.clickOnClauseMatch.emit(this.clauseMatch.clauseMatchImg) }),
                    h("s-abdullakh-clause-match-content", { clauseMatch: this.clauseMatch })),
                h("div", { class: "col-lg-5 d-none d-lg-block" },
                    h("div", { class: "clause_match_right_block", style: { backgroundImage: "url(" + this.clauseMatch.clauseMatchImg + ")" }, onClick: () => this.clickOnClauseMatch.emit(this.clauseMatch.clauseMatchImg) })))));
    }
    static get is() { return "s-abdullakh-clause-match"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-clause-match.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-clause-match.css"]
    }; }
    static get properties() { return {
        "clauseMatch": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "clause-match",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnClauseMatch",
            "name": "clickOnClauseMatch",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
