import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhExploreFeatures {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "explore_features_title" },
                h("h3", { onClick: () => this.clickOnExploreFeature.emit(this.exploreFeatures.title) }, this.exploreFeatures.title)),
            h("div", { class: "row", onClick: () => this.clickOnExploreFeature.emit(this.exploreFeatures) },
                h(Block, { arr: this.exploreFeatures }))));
    }
    static get is() { return "s-abdullakh-explore-features"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-explore-features.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-explore-features.css"]
    }; }
    static get properties() { return {
        "exploreFeatures": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "explore-features",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnExploreFeature",
            "name": "clickOnExploreFeature",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0435 NewSinglePost"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов news-main-block
 */
const Block = (props) => {
    return props.arr.exploreFeaturesblock.map((item) => {
        return (h("div", { class: "col-lg-4 col-12" },
            h("s-abdullakh-explore-features-blocks", { arr: item })));
    });
};
