import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhHeadMenu {
    render() {
        return (h("nav", null,
            h(MenuStart, { arr: this.headText })));
    }
    static get is() { return "s-abdullakh-head-nav-start"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-head-nav-start.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-head-nav-start.css"]
    }; }
    static get properties() { return {
        "headText": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E"
            },
            "attribute": "head-text",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnHeader",
            "name": "clickOnHeader",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u043C\u0435\u043D\u044E"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов меню
 */
const MenuStart = (props) => {
    return props.arr.map((item) => {
        return (h("div", { class: "topnav", id: "Mytopnav" },
            h("a", { onClick: () => this.clickOnHeader.emit(event) }, item.menuItemOne),
            h("a", { class: "active", onClick: () => this.clickOnHeader.emit(event) }, item.menuItemTwo)));
    });
};
