import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhLinkBlock {
    render() {
        return (h("div", { class: "container link_block" },
            h("div", { class: "link_block_title" },
                h("h2", { onClick: () => this.clickOnLinkBlock.emit(this.linkBlock.title) }, this.linkBlock.title)),
            h("div", { class: "link_block_subtitle", onClick: () => this.clickOnLinkBlock.emit(this.linkBlock.subtitle) }, this.linkBlock.subtitle),
            h("div", { class: "link_block_btn" },
                h("button", { onClick: () => this.clickOnLinkBlock.emit(this.linkBlock.btnText) }, this.linkBlock.btnText))));
    }
    static get is() { return "s-abdullakh-link-block"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-link-block.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-link-block.css"]
    }; }
    static get properties() { return {
        "linkBlock": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "link-block",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnLinkBlock",
            "name": "clickOnLinkBlock",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u0432 \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0435 NewSinglePost"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
