import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhProductPresentationVideo {
    render() {
        return (h("div", { class: "presentation_right_block" },
            h("div", { class: "presentation_right_block_video" },
                h("video", { src: this.videoScr, autoplay: "autoplay", playsinline: "", "data-testid": "video-media", onClick: () => this.clickOnProductPresentation.emit(this.videoScr) },
                    h("track", { kind: "captions" }),
                    h("source", { type: "video/mp4" })))));
    }
    static get is() { return "s-abdullakh-product-presentation-video"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-product-presentation-video.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-product-presentation-video.css"]
    }; }
    static get properties() { return {
        "videoScr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 productPresentation"
            },
            "attribute": "video-scr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnProductPresentation",
            "name": "clickOnProductPresentation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C ProductPresentation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
