import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhProductPresentation {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "presentation_block" },
                h("div", { class: "row" },
                    h("div", { class: "col-lg-6 col-12" },
                        h(ProductPresentationContent, { arr: this.productPresentation })),
                    h("div", { class: "col-lg-6 d-none d-lg-block" },
                        h("s-abdullakh-product-presentation-video", { videoScr: this.productPresentation.videoScr }))))));
    }
    static get is() { return "s-abdullakh-product-presentation"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-product-presentation.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-product-presentation.css"]
    }; }
    static get properties() { return {
        "productPresentation": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 productPresentation"
            },
            "attribute": "product-presentation",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnProductPresentation",
            "name": "clickOnProductPresentation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C ProductPresentation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов меню
 */
const ProductPresentationContent = (props) => {
    return props.arr.productPresentationContent.map((item) => {
        return (h("s-abdullakh-product-presentation-content", { videoScr: props.arr.videoScr, arr: item }));
    });
};
