import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhSecurityControl {
    render() {
        return (h("div", { class: "container security_control" },
            h("div", { class: "row security_control_block" },
                h("div", { class: "col-lg-7 d-none d-lg-block" },
                    h("div", { class: "security_control_left" },
                        h("div", { class: "security_control_bckgrnd", style: { backgroundImage: "url(" + this.securityControlImg + ")" }, onClick: () => this.clickOnSecurityControl.emit(this.securityControlImg) }))),
                h("div", { class: "col-lg-5 mt-5" },
                    h("div", { class: "security_control_left d-block d-lg-none" },
                        h("div", { class: "security_control_bckgrnd", style: { backgroundImage: "url(" + this.securityControlImg + ")" }, onClick: () => this.clickOnSecurityControl.emit(this.securityControlImg) })),
                    h("div", { class: "security_control_list_block" },
                        h("div", { class: "list_block" },
                            h("div", { class: "list_block_title", onClick: () => this.clickOnSecurityControl.emit(this.securityControl.title) },
                                h("h3", null, this.securityControl.title)),
                            h("ul", { class: "list_block_info_blocks", onClick: () => this.clickOnSecurityControl.emit(this.securityControl.list) },
                                h(ListBlock, { arr: this.securityControl.list }))))))));
    }
    static get is() { return "s-abdullakh-security-control"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-security-control.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-security-control.css"]
    }; }
    static get properties() { return {
        "securityControlImg": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 personalSecurity"
            },
            "attribute": "security-control-img",
            "reflect": false
        },
        "securityControl": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 personalSecurity"
            },
            "attribute": "security-control",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnSecurityControl",
            "name": "clickOnSecurityControl",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов news-main-block
 */
const ListBlock = (props) => {
    return props.arr.text.map((item) => {
        return (h("s-abdullakh-list-block", { arr: item }));
    });
};
